Debian Bug report logs - #616590
nmu various libapr1 rdeps on kfreebsd-*

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Stefan Fritsch <sf@sfritsch.de>

Date: Sat, 5 Mar 2011 20:45:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-php-maint@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Sat, 05 Mar 2011 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
New Bug report received and forwarded. Copy sent to pkg-php-maint@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 05 Mar 2011 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nmu: php5_5.3.5-1
Date: Sat, 05 Mar 2011 21:44:00 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: binnmu

Hi,

there is a problem with apr changing ABI on kfreebsd-* depending on
-D_FILE_OFFSET_BITS=64 being used by a libapr user or not. This causes segfaults
for mod_php. See bug #616323

This should not affect libapr using packages that use "apr-config --cppflags" to
determine what compiler flags to use, which should include all pure apache2
module packages. Therefore I propose to just binNMU those packages that
are reported to be broken (only php5 so far) instead of mass-binNMUing all
packages build-depending on libapr1-dev.

BTW, is there already a deadline for 6.0.1?


nmu php5_5.3.5-1 . kfreebsd-amd64 kfreebsd-i386 . -m "Rebuild with libapr1 1.4.2-8 (bug #616323)"




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Sat, 05 Mar 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 05 Mar 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 616590@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 616590@bugs.debian.org
Subject: Bug#616590: nmu: php5_5.3.5-1
Date: Sat, 5 Mar 2011 21:46:46 +0100
This should have a dep-wait on libapr1-dev_1.4.2-8, obviously.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Sun, 06 Mar 2011 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 06 Mar 2011 23:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 616590@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 616590@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#616590: nmu: php5_5.3.5-1
Date: Mon, 7 Mar 2011 00:37:33 +0100
title 616590 nmu various libapr1 rdeps on kfreebsd-*
thanks

I fear this affects more packages: I have looked at all packages that 
depend on libapr1 or have libapache2 in their name. From those, I have 
grepped for FILE_OFFSET_BITS in their newest kfreebsd build log. If I 
didn't do something wrong, these packages need to be binNMUed:

fsvs
libapache2-authenntlm-perl
libapache2-mod-perl2
php5
php-svn
rapidsvn
speedy-cgi-perl
subversion
webauth

Cheers,
Stefan




Changed Bug title to 'nmu various libapr1 rdeps on kfreebsd-*' from 'nmu: php5_5.3.5-1' Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Sun, 06 Mar 2011 23:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Mon, 07 Mar 2011 00:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 Mar 2011 00:09:10 GMT) Full text and rfc822 format available.

Message #22 received at 616590@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Stefan Fritsch <sf@sfritsch.de>
Cc: 616590@bugs.debian.org
Subject: Re: Bug#616590: nmu: php5_5.3.5-1
Date: Sun, 06 Mar 2011 16:06:55 -0800
Stefan Fritsch <sf@sfritsch.de> writes:

> I fear this affects more packages: I have looked at all packages that 
> depend on libapr1 or have libapache2 in their name. From those, I have 
> grepped for FILE_OFFSET_BITS in their newest kfreebsd build log. If I 
> didn't do something wrong, these packages need to be binNMUed:

> fsvs
> libapache2-authenntlm-perl
> libapache2-mod-perl2
> php5
> php-svn
> rapidsvn
> speedy-cgi-perl
> subversion
> webauth

I don't entirely understand this issue, but webauth uses apxs2 -q CFLAGS,
which should include equivalent information to apr-config --cppflags (or
there's something else weird going on).

Certainly no objections to a binNMU, though.  It can't hurt.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Mon, 07 Mar 2011 10:35:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 Mar 2011 10:35:20 GMT) Full text and rfc822 format available.

Message #27 received at 616590@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Russ Allbery <rra@debian.org>
Cc: 616590@bugs.debian.org
Subject: Re: Bug#616590: nmu: php5_5.3.5-1
Date: Mon, 7 Mar 2011 11:08:41 +0100
On Monday 07 March 2011, Russ Allbery wrote:
> Stefan Fritsch <sf@sfritsch.de> writes:
> > I fear this affects more packages: I have looked at all packages
> > that depend on libapr1 or have libapache2 in their name. From
> > those, I have grepped for FILE_OFFSET_BITS in their newest
> > kfreebsd build log. If I didn't do something wrong, these
> > packages need to be binNMUed:
> > 
> > fsvs
> > libapache2-authenntlm-perl
> > libapache2-mod-perl2
> > php5
> > php-svn
> > rapidsvn
> > speedy-cgi-perl
> > subversion
> > webauth
> 
> I don't entirely understand this issue, but webauth uses apxs2 -q
> CFLAGS, which should include equivalent information to apr-config
> --cppflags (or there's something else weird going on).

Maybe my initial report was misleading. Packages which *only* use apxs 
or apr-config to determine CFLAGS/CPPFLAGS should be fine. If they 
have another means to add additional CFLAGS/CPPFLAGS (in particular -
D_FILE_OFFSET_BITS=64), they may be affected by the problem.

To give some background, apr has some "typedef ino_t apr_ino_t" in a 
header file. The problem is that ino_t changes size depending on 
_FILE_OFFSET_BITS. libapr1 itself is compiled with 32bit ino_t 
(without _FILE_OFFSET_BITS=64). The fixed libapr1 has "typedef 
unsigned int apr_ino_t" or "typedef unsigned long apr_ino_t" in its 
headers instead, which does not depend on the compiler flags.

> Certainly no objections to a binNMU, though.  It can't hurt.

Webauth is a false positive. It seems to use -D_FILE_OFFSET_BITS=64 
only for compiling some perl XS files and not for most other object 
files.

If I restrict my grep to only include packages which have 
_FILE_OFFSET_BITS and apr (like in -I/usr/include/apr-1.0) occuring on 
the same line in the build log, the list is only

fsvs
libapache2-mod-perl2
php5
php-svn
rapidsvn
subversion

Does this make sense together with my explanations above?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Mon, 07 Mar 2011 17:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 Mar 2011 17:45:10 GMT) Full text and rfc822 format available.

Message #32 received at 616590@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Stefan Fritsch <sf@sfritsch.de>
Cc: 616590@bugs.debian.org
Subject: Re: Bug#616590: nmu: php5_5.3.5-1
Date: Mon, 07 Mar 2011 09:40:42 -0800
Stefan Fritsch <sf@sfritsch.de> writes:

> Maybe my initial report was misleading. Packages which *only* use apxs
> or apr-config to determine CFLAGS/CPPFLAGS should be fine. If they have
> another means to add additional CFLAGS/CPPFLAGS (in particular -
> D_FILE_OFFSET_BITS=64), they may be affected by the problem.

> To give some background, apr has some "typedef ino_t apr_ino_t" in a
> header file. The problem is that ino_t changes size depending on
> _FILE_OFFSET_BITS. libapr1 itself is compiled with 32bit ino_t (without
> _FILE_OFFSET_BITS=64). The fixed libapr1 has "typedef unsigned int
> apr_ino_t" or "typedef unsigned long apr_ino_t" in its headers instead,
> which does not depend on the compiler flags.

Ah!  I understand now.  Thank you.

> Webauth is a false positive. It seems to use -D_FILE_OFFSET_BITS=64 only
> for compiling some perl XS files and not for most other object files.

> If I restrict my grep to only include packages which have
> _FILE_OFFSET_BITS and apr (like in -I/usr/include/apr-1.0) occuring on
> the same line in the build log, the list is only

> fsvs
> libapache2-mod-perl2
> php5
> php-svn
> rapidsvn
> subversion

> Does this make sense together with my explanations above?

Yes, but note that _FILE_OFFSET_BITS could be set in config.h, in which
case the grep won't find things, so the set of affected packages could be
larger than you're detecting.  Packages that use Autoconf's
AC_SYS_LARGEFILE macro will generally put those settings into config.h
instead of on the command line.

WebAuth is indeed a false positive because WebAuth never attempts to
enable large file support, but there may be other packages that do via
config.h.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Tue, 08 Mar 2011 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 Mar 2011 20:03:03 GMT) Full text and rfc822 format available.

Message #37 received at 616590@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Russ Allbery <rra@debian.org>
Cc: 616590@bugs.debian.org
Subject: Re: Bug#616590: nmu: php5_5.3.5-1
Date: Tue, 8 Mar 2011 20:59:04 +0100
On Monday 07 March 2011, Russ Allbery wrote:
> > fsvs
> > libapache2-mod-perl2
> > php5
> > php-svn
> > rapidsvn
> > subversion
> > 
> > Does this make sense together with my explanations above?
> 
> Yes, but note that _FILE_OFFSET_BITS could be set in config.h, in
> which case the grep won't find things, so the set of affected
> packages could be larger than you're detecting.  Packages that use
> Autoconf's AC_SYS_LARGEFILE macro will generally put those
> settings into config.h instead of on the command line.

Good point. Autoconf seems to print several messages 'checking for ... 
needed for large files' when doing its checks. Grepping for 'large 
files' only gave a match in fsvs, which is already in the list above. 
Older autoconf versions may of course give other messages, but I think 
the list above seems mostly complete.

But the release team can decide if they want to take the risk of maybe 
missing a package or rather want to binNMU all 94 packages to be save.




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Fri, 11 Mar 2011 15:09:10 GMT) Full text and rfc822 format available.

Notification sent to Stefan Fritsch <sf@sfritsch.de>:
Bug acknowledged by developer. (Fri, 11 Mar 2011 15:09:11 GMT) Full text and rfc822 format available.

Message #42 received at 616590-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Stefan Fritsch <sf@sfritsch.de>, 616590-done@bugs.debian.org
Cc: Russ Allbery <rra@debian.org>
Subject: Re: Bug#616590: nmu: php5_5.3.5-1
Date: Fri, 11 Mar 2011 16:07:34 +0100
On Mon, Mar  7, 2011 at 11:08:41 +0100, Stefan Fritsch wrote:

> If I restrict my grep to only include packages which have 
> _FILE_OFFSET_BITS and apr (like in -I/usr/include/apr-1.0) occuring on 
> the same line in the build log, the list is only
> 
> fsvs
> libapache2-mod-perl2
> php5
> php-svn
> rapidsvn
> subversion
> 
I've scheduled these (minus fsvs, which never built on kfreebsd).  Feel
free to reopen if more are needed.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Tue, 15 Mar 2011 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 15 Mar 2011 12:39:03 GMT) Full text and rfc822 format available.

Message #47 received at 616590@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Stefan Fritsch <sf@sfritsch.de>, 616590@bugs.debian.org
Subject: Re: Bug#616590: nmu: php5_5.3.5-1
Date: Tue, 15 Mar 2011 13:35:54 +0100
[Message part 1 (text/plain, inline)]
Hi,

Stefan Fritsch <sf@sfritsch.de> (05/03/2011):
> This should have a dep-wait on libapr1-dev_1.4.2-8, obviously.

that doesn't appear to be sufficient. Even with that version
available, I'm getting auto-give-backs. Log excerpt:
| ┌──────────────────────────────────────────────────────────────────────────────┐
| │ Install build dependencies (internal resolver)                               │
| └──────────────────────────────────────────────────────────────────────────────┘
| 
| Checking for already installed source dependencies...
| apache2-prefork-dev: missing
| autoconf: missing
| Using default version 2.67-2
| automake: missing
| Using default version 1:1.11.1-1
| automake1.11: missing
| bison: missing
| chrpath: missing
| debhelper: missing
| Using default version 8.1.2
| firebird2.1-dev: missing
| flex: missing
| freetds-dev: missing
| hardening-wrapper: missing
| libapr1-dev: missing
| Using default version 1.4.2-8
| libbz2-dev: missing
| libc-client-dev: missing
| libcurl4-openssl-dev: missing
| libcurl-dev: missing
| libdb-dev: missing
| Using default version 5.1
| libdb4.8-dev: missing
| libdb4.6-dev: missing
| libenchant-dev: missing
| libevent-dev: missing
| Using default version 1.4.13-stable-1
| libexpat1-dev: missing
| Using default version 2.0.1-7
| libfreetype6-dev: missing
| libgcrypt11-dev: missing
| libgd2-xpm-dev: missing
| libglib2.0-dev: missing
| libgmp3-dev: missing
| libicu-dev: missing
| libjpeg-dev: missing
| libjpeg62-dev: missing
| libkrb5-dev: missing
| libldap2-dev: missing
| libmcrypt-dev: missing
| libmhash-dev: missing
| Using default version 0.9.9.9-1
| libmysqlclient-dev: missing
| libmysqlclient15-dev: missing
| libonig-dev: missing
| libpam0g-dev: missing
| libpcre3-dev: missing
| Using default version 8.12-3
| libpng12-dev: missing
| libpq-dev: missing
| libpspell-dev: missing
| libqdbm-dev: missing
| librecode-dev: missing
| libsasl2-dev: missing
| libsnmp-dev: missing
| libsqlite0-dev: missing
| libsqlite3-dev: missing
| libssl-dev: missing
| libt1-dev: missing
| libtidy-dev: missing
| libtool: missing
| Using default version 2.2.6b-2
| libwrap0-dev: missing
| libxmltok1-dev: missing
| libxml2-dev: missing
| libxslt1-dev: missing
| libxslt1-dev: missing
| Using default version 1.1.26-6
| locales-all: missing
| mysql-server: missing
| netbase: missing
| netcat-traditional: missing
| quilt: missing
| re2c: missing
| unixodbc-dev: missing
| zlib1g-dev: missing
| tzdata: already installed (2011b-2)
| bind-dev: already deinstalled
| Checking for source dependency conflicts...
| E: Broken packages
| Installing positive dependencies: apache2-prefork-dev autoconf automake bison chrpath debhelper firebird2.1-dev flex freetds-dev hardening-wrapper libapr1-dev libbz2-dev
| +libc-client-dev libcurl4-openssl-dev libdb-dev libenchant-dev libevent-dev libexpat1-dev libfreetype6-dev libgcrypt11-dev libgd2-xpm-dev libglib2.0-dev libgmp3-dev
| +libicu-dev libjpeg-dev libkrb5-dev libldap2-dev libmcrypt-dev libmhash-dev libmysqlclient-dev libonig-dev libpam0g-dev libpcre3-dev libpng12-dev libpq-dev libpspell-dev
| +libqdbm-dev librecode-dev libsasl2-dev libsnmp-dev libsqlite0-dev libsqlite3-dev libssl-dev libt1-dev libtidy-dev libtool libwrap0-dev libxmltok1-dev libxml2-dev
| +libxslt1-dev locales-all mysql-server netbase netcat-traditional quilt re2c unixodbc-dev zlib1g-dev
| Reading package lists...
| Building dependency tree...
| Reading state information...
| Some packages could not be installed. This may mean that you have
| requested an impossible situation or if you are using the unstable
| distribution that some required packages have not yet been created
| or been moved out of Incoming.
| The following information may help to resolve the situation:
| 
| The following packages have unmet dependencies:
|  apache2-prefork-dev : Depends: libaprutil1-dev but it is not going to be installed
| E: Broken packages
| apt-get failed.
| Package installation failed

If you want a full build log, I can forward that.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Sat, 19 Mar 2011 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 19 Mar 2011 00:21:03 GMT) Full text and rfc822 format available.

Message #52 received at 616590@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Stefan Fritsch <sf@sfritsch.de>, 616590@bugs.debian.org
Subject: Re: Bug#616590: nmu: php5_5.3.5-1
Date: Sat, 19 Mar 2011 01:17:01 +0100
[Message part 1 (text/plain, inline)]
Hi Stefan,

Cyril Brulebois <kibi@debian.org> (15/03/2011):
> that doesn't appear to be sufficient. Even with that version
> available, I'm getting auto-give-backs.

shall I expect a fix on the build-dep side at some point? Or shall I
just mark php5 as failed? I keep on getting those give-back mails and
I'm not sure what to do with it…

KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Sun, 20 Mar 2011 19:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 20 Mar 2011 19:57:08 GMT) Full text and rfc822 format available.

Message #57 received at 616590@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Cyril Brulebois <kibi@debian.org>
Cc: 616590@bugs.debian.org
Subject: Re: Bug#616590: nmu: php5_5.3.5-1
Date: Sun, 20 Mar 2011 20:53:02 +0100
Hi Cyril,

On Saturday 19 March 2011, Cyril Brulebois wrote:
> Cyril Brulebois <kibi@debian.org> (15/03/2011):
> > that doesn't appear to be sufficient. Even with that version
> > available, I'm getting auto-give-backs.
> 
> shall I expect a fix on the build-dep side at some point? Or shall
> I just mark php5 as failed? I keep on getting those give-back
> mails and I'm not sure what to do with it…

this is probably the libdb conflict, #619036. Unfortunately, I don't 
know when it will be fixed. But considering that php5 5.3.6-1 has been 
uploaded, this is no longer a problem related to this binNMU of 
5.3.5-1.

Cheers,
Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#616590; Package release.debian.org. (Sun, 20 Mar 2011 22:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 20 Mar 2011 22:03:06 GMT) Full text and rfc822 format available.

Message #62 received at 616590@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Stefan Fritsch <sf@sfritsch.de>
Cc: 616590@bugs.debian.org
Subject: Re: Bug#616590: nmu: php5_5.3.5-1
Date: Sun, 20 Mar 2011 23:01:24 +0100
[Message part 1 (text/plain, inline)]
Hi,

Stefan Fritsch <sf@sfritsch.de> (20/03/2011):
> this is probably the libdb conflict, #619036. Unfortunately, I don't
> know when it will be fixed. But considering that php5 5.3.6-1 has
> been uploaded, this is no longer a problem related to this binNMU of
> 5.3.5-1.

still an issue for 5.3.6-1 though. FTR: Marked as failed on kfreebsd-*
for now; it can be given back once things are in a better shape.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Apr 2011 07:35:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:20:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.